## clog 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)

set (HAVE_CMAKE true)

project (clog)
set (PROJECT_VERSION "1.1.0")

SET (CLOG_MAN3DIR share/man/man3 CACHE STRING "Installation directory for man pages, section 3")
SET (CLOG_DOCDIR  share/doc/clog CACHE STRING "Installation directory for doc files")

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  set (LINUX true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set (DARWIN true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
  set (FREEBSD true)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
  set (SOLARIS true)
else (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  set (UNKNOWN true)
endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")

message ("-- Looking for SHA1 references")
if (EXISTS ${CMAKE_SOURCE_DIR}/.git/index)
  set (HAVE_COMMIT true)
  execute_process (COMMAND git log -1 --pretty=format:%h
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
                   OUTPUT_VARIABLE COMMIT)
  configure_file ( ${CMAKE_SOURCE_DIR}/commit.h.in
                   ${CMAKE_SOURCE_DIR}/commit.h)
  message ("-- Found SHA1 reference: ${COMMIT}")
endif (EXISTS ${CMAKE_SOURCE_DIR}/.git/index)

set (PACKAGE "${PROJECT_NAME}")
set (VERSION "${PROJECT_VERSION}")
set (PACKAGE_BUGREPORT "support@yootabory.com")
set (PACKAGE_NAME "${PACKAGE}")
set (PACKAGE_TARNAME "${PACKAGE}")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_STRING "${PACKAGE} ${VERSION}")

message ("-- Configuring cmake.h")
configure_file (
  ${CMAKE_SOURCE_DIR}/cmake.h.in
  ${CMAKE_SOURCE_DIR}/cmake.h)

add_subdirectory (src)
add_subdirectory (doc)
if (EXISTS test)
  add_subdirectory (test EXCLUDE_FROM_ALL)
endif (EXISTS test)

set (doc_FILES NEWS ChangeLog README INSTALL AUTHORS COPYING)
foreach (doc_FILE ${doc_FILES})
  install (FILES ${doc_FILE}  DESTINATION ${CLOG_DOCDIR})
endforeach (doc_FILE)

# ---

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME ${PACKAGE_NAME}-${PACKAGE_VERSION})
set (CPACK_SOURCE_IGNORE_FILES  "CMakeCache" "CMakeFiles" "CPackConfig" "CPackSourceConfig"
                                "_CPack_Packages" "cmake_install" "install_manifest"
                                "Makefile$" "test"
                                "/\\.gitignore" "/\\.git/" "swp$")
include (CPack)

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
include_directories (${CMAKE_SOURCE_DIR}/src
                     ${CMAKE_SOURCE_DIR}
                     ${CLOG_INCLUDE_DIRS})
add_executable(clog clog.cpp
                    Nibbler.cpp Nibbler.h
                    RX.cpp RX.h
                    Rule.cpp Rule.h
                    Color.cpp Color.h
                    text.cpp text.h)

install (TARGETS clog DESTINATION bin)

#set (CMAKE_BUILD_TYPE debug)
#set (CMAKE_C_FLAGS_DEBUG "-ggdb3")
#set (CMAKE_C_FLAGS_RELEASE "-O3")

=== test/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
include_directories (${CMAKE_SOURCE_DIR}
                     ${CMAKE_SOURCE_DIR}/src
                     ${CMAKE_SOURCE_DIR}/test
                     ${CLOG_INCLUDE_DIRS})

set (test_SRCS color.t nibbler.t)

add_custom_target (test ./run_all --verbose
                        DEPENDS ${test_SRCS}
                        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/test)

add_custom_target (build_tests DEPENDS ${test_SRCS}
                               WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/test)

foreach (src_FILE ${test_SRCS})
  add_executable (${src_FILE} "${src_FILE}.cpp"
                              ../src/Nibbler.cpp
                              ../src/RX.cpp
                              ../src/Color.cpp
                              ../src/text.cpp
                              test.cpp)
endforeach (src_FILE)

=== debian/changelog ===
clog (1.1.0-3) unstable; urgency=medium

  * Fix wrong upstream Homepage URL. Thanks Matanya Moses (Closes: #739105).
  * Update Standards-Version field in d/control. 

 -- Alejandro Garrido Mota <alejandro@debian.org>  Sun, 20 Apr 2014 12:50:22 -0430

clog (1.1.0-2) unstable; urgency=low

  * d/control: Improve package description (short and long). Thanks 
    to Justin B Rye <justin.byam.rye@gmail.com> (Closes: #724846).

 -- Alejandro Garrido Mota <alejandro@debian.org>  Mon, 30 Sep 2013 06:34:49 -0430

clog (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #722178).

 -- Alejandro Garrido Mota <alejandro@debian.org>  Mon, 02 Sep 2013 22:42:34 +0200

=== debian/control ===
Source: clog
Section: utils
Priority: extra
Maintainer: Alejandro Garrido Mota <alejandro@debian.org>
Build-Depends: debhelper (>= 9),
               cmake
Standards-Version: 3.9.5
Homepage: http://tasktools.org/projects/clog.html
Vcs-Git: git://github.com/mogaal/clog.git
Vcs-Browser: https://github.com/mogaal/clog

Package: clog
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: colorizing log tail utility
 Clog is useful for watching log files. It can spot patterns in an input
 stream and colorize or suppress the lines. It can also decorate the lines
 with time- or datestamps.

=== debian/watch ===
version=3
http://tasktools.org/projects/clog http://taskwarrior.org/download/clog-(.*)\.tar\.gz

## clog 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
set (CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")
set (HAVE_CMAKE true)

project (clog)
include (CXXSniffer)
include (ExternalProject)

set (PROJECT_VERSION "1.3.0")

set (PACKAGE "${PROJECT_NAME}")
set (VERSION "${PROJECT_VERSION}")
set (PACKAGE_BUGREPORT "support@taskwarrior.org")
set (PACKAGE_NAME "${PACKAGE}")
set (PACKAGE_TARNAME "${PACKAGE}")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_STRING "${PACKAGE} ${VERSION}")

SET (CLOG_DOCDIR  share/doc/clog CACHE STRING "Installation directory for doc files")
SET (CLOG_BINDIR  bin            CACHE STRING "Installation directory for the binary")

message ("-- Configuring cmake.h")
configure_file (
  ${CMAKE_SOURCE_DIR}/cmake.h.in
  ${CMAKE_SOURCE_DIR}/cmake.h)

add_subdirectory (src)
add_subdirectory (doc)
if (EXISTS ${CMAKE_SOURCE_DIR}/test)
  add_subdirectory (test EXCLUDE_FROM_ALL)
endif (EXISTS ${CMAKE_SOURCE_DIR}/test)

set (doc_FILES NEWS ChangeLog README INSTALL AUTHORS COPYING)
foreach (doc_FILE ${doc_FILES})
  install (FILES ${doc_FILE} DESTINATION ${CLOG_DOCDIR})
endforeach (doc_FILE)

# ---

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME ${PACKAGE_NAME}-${PACKAGE_VERSION})
set (CPACK_SOURCE_IGNORE_FILES  "CMakeCache" "CMakeFiles" "CPackConfig" "CPackSourceConfig"
                                "_CPack_Packages" "cmake_install" "install_manifest"
                                "Makefile$" "test"
                                "/\\\\.gitignore" "/\\\\.git/" "swp$")
include (CPack)

=== debian/changelog ===
clog (1.3.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:32 +0100

clog (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
   - Now maintained by the Debian Tasktools Packaging Team.
   - Uploaders set to alejandro and myself.
   - Updated Vcs-* fields for pkg-tasktools git repository.
   - Standards-Version to 3.9.8.
  * debian/rules:
   - Enable build hardening.
  * debian/patches/FixManMinusSign.diff:
   - Refreshed patch, some hyphens had moved.

 -- Iain R. Learmonth <irl@debian.org>  Thu, 07 Jul 2016 23:14:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: clog
+Maintainer: Debian Tasktools Packaging Team <pkg-tasktools-discuss@lists.alioth.debian.org>
+Uploaders: Alejandro Garrido Mota <alejandro@debian.org>,
+           Iain R. Learmonth <irl@debian.org>
 Section: utils
 Priority: extra
-Maintainer: Alejandro Garrido Mota <alejandro@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-tasktools/clog.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-tasktools/clog.git
 Homepage: http://tasktools.org/projects/clog.html
-Vcs-Git: git://github.com/mogaal/clog.git
-Vcs-Browser: https://github.com/mogaal/clog
 
 Package: clog
 Architecture: any

=== debian/watch ===
version=3
http://tasktools.org http://tasktools.org/download/clog-(.*)\.tar\.gz

## clog 1.3.0%2Bdfsg

=== doc/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)
message ("-- Configuring man pages")
set (man_FILES clog.1)
foreach (man_FILE ${man_FILES})
  configure_file (
    man/${man_FILE}.in
    man/${man_FILE})
endforeach (man_FILE)

install (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/man/ DESTINATION share/man/man1
                                                    FILES_MATCHING PATTERN "*.1")

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
include_directories (${CMAKE_SOURCE_DIR}
                     ${CMAKE_SOURCE_DIR}/src
                     ${CMAKE_SOURCE_DIR}/src/libshared/src
                     ${CLOG_INCLUDE_DIRS})

set (clog_SRCS clog.cpp Rule.cpp Rule.h)

set (libshared_SRCS libshared/src/Args.cpp          libshared/src/Args.h
                    libshared/src/Color.cpp         libshared/src/Color.h
                    libshared/src/Composite.cpp     libshared/src/Composite.h
                    libshared/src/Configuration.cpp libshared/src/Configuration.h
                    libshared/src/Datetime.cpp      libshared/src/Datetime.h
                    libshared/src/Duration.cpp      libshared/src/Duration.h
                    libshared/src/FS.cpp            libshared/src/FS.h
                    libshared/src/JSON.cpp          libshared/src/JSON.h
                    libshared/src/JSON2.cpp         libshared/src/JSON2.h
                    libshared/src/Log.cpp           libshared/src/Log.h
                    libshared/src/Msg.cpp           libshared/src/Msg.h
                    libshared/src/Pig.cpp           libshared/src/Pig.h
                    libshared/src/RX.cpp            libshared/src/RX.h
                    libshared/src/Table.cpp         libshared/src/Table.h
                    libshared/src/Timer.cpp         libshared/src/Timer.h
                    libshared/src/format.cpp        libshared/src/format.h
                    libshared/src/shared.cpp        libshared/src/shared.h
                    libshared/src/unicode.cpp       libshared/src/unicode.h
                    libshared/src/utf8.cpp          libshared/src/utf8.h
                    libshared/src/wcwidth6.cpp)

add_library (clog      STATIC ${clog_SRCS})
add_library (libshared STATIC ${libshared_SRCS})
add_executable (clog_executable clog.cpp)

target_link_libraries (clog_executable clog libshared ${CLOG_LIBRARIES})

set_property (TARGET clog_executable PROPERTY OUTPUT_NAME "clog")

install (TARGETS clog_executable DESTINATION bin)

## clog 1.3.0+dfsg

=== debian/changelog ===
clog (1.3.0+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1112791)

 -- Adrian Bunk <bunk@debian.org>  Sat, 18 Oct 2025 20:25:58 +0300

clog (1.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Update watch file format version to 4.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

  [ Andreas Tille ]
  * Replace broken Homepage by Github
    Closes: #1060737
  * Point watch file to Github
  * Exclude binaries from source code via Files-Excluded
  * Remove Iain R. Learmonth from Uploades (Thank you Ian for offering
    help if needed)
    Closes: #986957
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Jan 2025 10:11:14 +0100

clog (1.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc13 by adding a missing include. (Closes: #1037606)
    - Thanks Mate Kukri and Jonathan Bergh. (LP: #2048084)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 05 Jan 2024 11:40:11 +0000

=== debian/control ===
Source: clog
Maintainer: Debian Tasktools Packaging Team <taskdeb-discuss@nongnu.org>
Uploaders: Alejandro Garrido Mota <alejandro@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/tasktools-team/clog
Vcs-Git: https://salsa.debian.org/tasktools-team/clog.git
Homepage: https://github.com/GothenburgBitFactory/clog

Package: clog
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: colorizing log tail utility
 Clog is useful for watching log files. It can spot patterns in an input
 stream and colorize or suppress the lines. It can also decorate the lines
 with time- or datestamps.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	cp $(CURDIR)/doc/man/clog.1.in debian/clog.1
	dh_auto_install
	rm -f $(TMP)/usr/share/doc/clog/COPYING \
	      $(TMP)/usr/share/doc/clog/INSTALL

## clog 20030825

=== Makefile ===

#If running by self
ifndef RANLIB
  RANLIB=ranlib
endif
ifndef CC
  CC=gcc
endif
ifndef AR
  AR=ar
endif

OBJECTS = clog.o clog_close.o clog_fileclose.o clog_fileopen.o clog_getlevel.o clog_open.o clog_perror.o clog_setcallback.o clog_setcallbacklevel.o clog_setfile.o clog_setfilelevel.o

TARGET = libclog.a

.SUFFIXES: .c

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

all: ../build/$(TARGET) 

../build/$(TARGET):  $(OBJECTS)
	test -d ../build/ || mkdir -p ../build/
	-rm -f $(TARGET)
	$(AR) cq $(TARGET) $(OBJECTS) 
	-$(RANLIB) $(TARGET)
	-rm -f ../build/$(TARGET)
	-mv $(TARGET) ../build/

test: main.o ../build/$(TARGET)
	$(CC) -o ../build/test_clog main.o ../build/$(TARGET)

clean:
	-rm -f $(OBJECTS) 
	-rm -f main.o
	-rm -f ../build/test_clog
	-rm -f *~ core *.core
	-rm -f ../build/$(TARGET)
